# MessageEvent class

Triggered when a message is received

Inheritance
  - Object
  - XmppEvent
  - MessageEvent

## Constructors

MessageEvent (JID from, JID to, bool encrypted, TypedMap <StanzaHandlerExtension> extensions, {String? id, String? type, StanzaError? error, Object? encryptionError})

## Properties

encrypted → bool
  Flag indicating whether the message was encrypted.
  final
encryptionError → Object?
  The error in case an encryption error occurred.
  final
error → StanzaError?
  final
extensions → TypedMap <StanzaHandlerExtension>
  Data added by other handlers.
  final
from → JID
  The from attribute of the message.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
id → String?
  The id attribute of the message.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
to → JID
  The to attribute of the message.
  final
type → String?
  The type attribute of the message.
  final

## Methods

get <T>() → T?
  Shorthand for extensions.get<t>().</t>
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited